Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface ISortDefinition

All Known Implementing Classes:
  SortDefinition

    public interface ISortDefinition

Describes one sort (key, direction) pair in a sort sequence. The sort key can be a single column name or a Javascript expression.
NOTE: Presently only sorting on actual columns are supported. If the sort key is specified as an expression, it must be in the form `row.column_name`, or `row["column_name"]`

Field Summary
`static int` | `ASCII_SORT_STRENGTH` When the sort strength is set to -1, it indicate we do an ASCII sort rather than Collator sort.
`static int` | `DEFAULT_SORT_STRENGTH`
`static int` | `SORT_ASC` Sorts in ascending order of sort key values
`static int` | `SORT_DESC` Sorts in descending order of sort key values

Method Summary
`java.lang.String` | `getColumn()` Returns the name of the column to sort on.
`IScriptExpression` | `getExpression()` Returns the JavaScript expression that defines the group key.
`int` | `getSortDirection()` Returns the sort direction.
`int` | `getSortStrength()` Returns the Strength of sort.

Field Detail

### ASCII_SORT_STRENGTH

    static final int ASCII_SORT_STRENGTH

  When the sort strength is set to -1, it indicate we do an ASCII sort rather than Collator sort.

  See Also:
    Constant Field Values

### DEFAULT_SORT_STRENGTH

    static final int DEFAULT_SORT_STRENGTH

See Also:
  Constant Field Values

### SORT_ASC

    static final int SORT_ASC

  Sorts in ascending order of sort key values

  See Also:
    Constant Field Values

### SORT_DESC

    static final int SORT_DESC

  Sorts in descending order of sort key values

  See Also:
    Constant Field Values

Method Detail

### getColumn

    java.lang.String getColumn()

  Returns the name of the column to sort on. Either the KeyColumn or KeyExpr can be used to define the sort key.

### getExpression

    IScriptExpression getExpression()

  Returns the JavaScript expression that defines the group key.

### getSortDirection

    int getSortDirection()

  Returns the sort direction.

  Returns:
    the sort direction: one of SORT_ASC or SORT_DESC

### getSortStrength

    int getSortStrength()

  Returns the Strength of sort.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.